# Create a counterparty

**POST** `/counterparties`

A counterparty is the legal entity on the other side of the transaction. Depending on the type of transaction, we may need to know more or less about them. A domestic ACH only requires a counterparty's account and routing number. If you include a counterparty name, Column will by default populate `receiver_name` on the ACH transfer request. Domestic and international wires require full name and address. Certain countries may require additional fields. Learn more about country-specific details here.

### Body Parameters

- `account_number` `string` _(required)_ — The account number for the bank account.
- `account_type` `string` _(required)_ — The type of the account number. Can be `checking` or `savings`.
- `address` `object` _(required)_ — Addresses need to adhere to character validation, as addresses are used across multiple payment rails. Characters are validated according to the [Fedwire character validation](/wire#valid-characters-permitted).
  - `city` `string` _(required)_ — City name
  - `country_code` `string` _(required)_ — Two-letter ISO 3166-1 alpha-2 country code (e.g. `US`)
  - `line_1` `string` _(required)_ — Street address line 1
  - `line_2` `string` — Street address line 2
  - `postal_code` `string` — Postal or ZIP code
  - `state` `string` — State or province
- `description` `string` _(required)_ — Description of the counterparty visible only in your platform. Maximum length: `127` characters.
- `email` `string` _(required)_ — The email address of the beneficiary.
- `legal_id` `string` _(required)_ — The legal ID (e.g., Tax ID, Cedula Juridica, etc.) of the beneficiary. This field is recommended for international wire transfers, and required in some countries. Maximum length: `127` characters.
- `legal_type` `string` _(required)_ — The legal entity type of the beneficiary. Can be `business`, `non_profit`, `individual`, or `sole_proprietor`. This field is recommended for international wire transfers, and required in some countries.
- `local_account_number` `string` _(required)_ — The local account number (e.g. Cuenta Cliente in Costa Rica) in the beneficiary's bank. This field is recommended for international wire transfers, and required in some countries. Maximum length: 63 characters.
- `local_bank_code` `string` _(required)_ — The local bank code of the beneficiary's bank (e.g., India IFSC, Australia BSB, China CNAPS, etc.). This field is recommended for international wire transfers, and required in some countries. Maximum length: `63` characters.
- `local_bank_country_code` `string` _(required)_ — The ISO 3166-1 alpha-2 country code of the beneficiary's local bank.
- `local_bank_name` `string` _(required)_ — Name of the beneficiary's local bank.
- `name` `string` _(required)_ — The counterparty name who owns the bank account. There is a `127` character limit for this field. For domestic wires, only the first 35 characters are included in the wire message.
- `phone` `string` _(required)_ — The phone number of the beneficiary. This field is recommended for international wire transfers, and required in some countries. Maximum length: `31` characters.
- `routing_number` `string` _(required)_ — The routing number of the bank.
- `routing_number_type` `string` _(required)_ — The type of the routing number. Can be `aba`, `bic`, or `other`.
- `wire` `object` _(required)_ — Wire-specific details for this counterparty, including beneficiary information and local bank details.
  - `beneficiary_address` `object` _(required)_ — The address of the wire beneficiary.
    - `city` `string` _(required)_ — City name
    - `country_code` `string` _(required)_ — Two-letter ISO 3166-1 alpha-2 country code (e.g. `US`)
    - `line_1` `string` _(required)_ — Street address line 1
    - `line_2` `string` — Street address line 2
    - `postal_code` `string` — Postal or ZIP code
    - `state` `string` — State or province
  - `beneficiary_email` `string` _(required)_ — The email address of the wire beneficiary.
  - `beneficiary_legal_id` `string` _(required)_ — The legal identification number of the wire beneficiary (e.g. EIN or SSN).
  - `beneficiary_name` `string` _(required)_ — The name of the wire beneficiary.
  - `beneficiary_phone` `string` _(required)_ — The phone number of the wire beneficiary.
  - `beneficiary_type` `string` _(required)_ — The type of the wire beneficiary. Possible values: `individual`, `business`
  - `local_account_number` `string` _(required)_ — The local account number at the beneficiary's bank (used for international counterparties).
  - `local_bank_code` `string` _(required)_ — The local bank code of the beneficiary's bank (used for international counterparties).
- `wire_drawdown_allowed` `boolean` _(required)_ — Whitelists counterparties for automatic approval of drawdown requests to Column via Fedwire. If `false`, all inbound drawdown requests from this counterparty will require explicit approval.

**Request**

```shell
curl 'https://api.column.com/counterparties' \
  -XPOST \
  -u :<YOUR API KEY> \
  -d routing_number="AACDGB21" \
  -d account_number="GB29NWBK60161331926819" \
  -d routing_number_type="bic" \
  -d account_type="checking" \
  -d description="international_cpty" \
  -d name="John Doe" \
  -d phone="650-123-4567" \
  -d email="john.doe@gmail.com" \
  -d legal_id="GB1245643234" \
  -d legal_type="sole_proprietor" \
  -d local_bank_code="GB123456" \
  -d local_account_number="876545678" \
  -d "address[line_1]"="96 Lairg Road" \
  -d "address[city]"="New Winton" \
  -d "address[postal_code]"="EH33 5ZN" \
  -d "address[country_code]"="GB"
```

**Response 200**

```json
{
  "account_number": "GB29NWBK60161331926819",
  "account_type": "checking",
  "address": {
    "city": "New Winton",
    "country_code": "GB",
    "line_1": "96 Lairg Road",
    "line_2": "",
    "postal_code": "EH33 5ZN",
    "state": ""
  },
  "created_at": "2023-07-07T22:31:30.859307801Z",
  "description": "international_cpty",
  "email": "john.doe@gmail.com",
  "id": "cpty_2SGNjEY3ax4DaX4LgU72navTADL",
  "is_column_account": false,
  "legal_id": "GB1245643234",
  "legal_type": "sole_proprietor",
  "local_account_number": "876545678",
  "local_bank_code": "GB123456",
  "local_bank_country_code": "",
  "local_bank_name": "",
  "name": "John Doe",
  "phone": "650-123-4567",
  "routing_number": "NWBKGB2L",
  "routing_number_type": "bic",
  "updated_at": "2023-07-07T22:31:30.859307801Z",
  "wire": {
    "beneficiary_address": {
      "city": "New Winton",
      "country_code": "GB",
      "line_1": "96 Lairg Road",
      "line_2": "",
      "postal_code": "EH33 5ZN",
      "state": ""
    },
    "beneficiary_email": "john.doe@gmail.com",
    "beneficiary_legal_id": "GB1245643234",
    "beneficiary_name": "John Doe",
    "beneficiary_phone": "650-123-4567",
    "beneficiary_type": "sole_proprietor",
    "local_account_number": "876545678",
    "local_bank_code": "GB123456"
  },
  "wire_drawdown_allowed": false
}
```
